Component({
  options: {
    addGlobalClass: true
  },
  properties: {
    disabled: {
      type: Boolean,
      value: false
    },
    onClick: {
      type: Function
    }
  },
  data: {
    badge: 0
  },
  methods: {
    clickBut(e) {
      this.triggerEvent("onClick", e.currentTarget.dataset.event)
    },
  }
})